%define upstream_name    Plack-Middleware-Deflater
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Compress response body with Gzip or Deflate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(IO::Compress::Deflate)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(Plack)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jun 27 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 114491
- update to 0.05

* Wed Jun 22 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 112249
- adding missing buildrequires:
- imported package perl-Plack-Middleware-Deflater


* Wed Jun 22 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
